<?xml version="1.0" encoding="UTF-8"?>
<export version="D">
  <design>
    <source>/home/js3214/Dropbox/Bath/OpenLab/Designs/sangaboard_v0.3/sangaboard_v0.3.sch</source>
    <date>Wed 23 Jan 2019 16:40:06 GMT</date>
    <tool>Eeschema 5.0.2-bee76a0~70~ubuntu16.04.1</tool>
    <sheet number="1" name="/" tstamps="/">
      <title_block>
        <title>sangaboard</title>
        <company>OPEN LAB INSTRUMENTATION</company>
        <rev>0.3</rev>
        <date>2018-08-11</date>
        <source>sangaboard_v0.3.sch</source>
        <comment number="1" value=""/>
        <comment number="2" value=""/>
        <comment number="3" value=""/>
        <comment number="4" value=""/>
      </title_block>
    </sheet>
  </design>
  <components>
    <comp ref="C2">
      <value>22pF</value>
      <footprint>Capacitors_SMD:C_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="C" description="Unpolarized capacitor"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B6F6B32</tstamp>
    </comp>
    <comp ref="J11">
      <value>USB_OTG</value>
      <footprint>Connectors:USB_Micro-B</footprint>
      <datasheet> ~</datasheet>
      <libsource lib="Connector" part="USB_OTG" description="USB mini/micro connector"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B6F6CB4</tstamp>
    </comp>
    <comp ref="U2">
      <value>ULN2003A</value>
      <footprint>digikey-footprints:SOIC-16_W3.90mm</footprint>
      <datasheet>http://www.ti.com/lit/ds/symlink/uln2003a.pdf</datasheet>
      <libsource lib="Transistor_Array" part="ULN2003A" description="High Voltage, High Current Darlington Transistor Arrays, SOIC16/SOIC16W/DIP16/TSSOP16"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B6F6D24</tstamp>
    </comp>
    <comp ref="~RST1">
      <value>Reset</value>
      <footprint>Pin_Headers:Pin_Header_Straight_1x02_Pitch2.54mm</footprint>
      <libsource lib="Switch" part="SW_Push" description="Push button switch, generic, two pins"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B6F7F48</tstamp>
    </comp>
    <comp ref="J10">
      <value>ISP</value>
      <footprint>Pin_Headers:Pin_Header_Straight_2x03_Pitch2.54mm</footprint>
      <datasheet> ~</datasheet>
      <libsource lib="Connector" part="AVR-ISP-6" description="Atmel 6-pin ISP connector"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B6F88B8</tstamp>
    </comp>
    <comp ref="U1">
      <value>ATmega32U4-MU</value>
      <footprint>Housings_QFP:TQFP-44-1EP_10x10mm_Pitch0.8mm</footprint>
      <datasheet>http://ww1.microchip.com/downloads/en/DeviceDoc/Atmel-7766-8-bit-AVR-ATmega16U4-32U4_Datasheet.pdf</datasheet>
      <libsource lib="MCU_Microchip_ATmega" part="ATmega32U4-MU" description="16MHz, 32kB Flash, 2.5kB SRAM, 1kB EEPROM, USB 2.0, QFN-44"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B6F8DCF</tstamp>
    </comp>
    <comp ref="C3">
      <value>22pF</value>
      <footprint>Capacitors_SMD:C_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="C" description="Unpolarized capacitor"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B6F9050</tstamp>
    </comp>
    <comp ref="R5">
      <value>10K</value>
      <footprint>Resistors_SMD:R_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="R" description="Resistor"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B6F9A11</tstamp>
    </comp>
    <comp ref="U3">
      <value>ULN2003A</value>
      <footprint>digikey-footprints:SOIC-16_W3.90mm</footprint>
      <datasheet>http://www.ti.com/lit/ds/symlink/uln2003a.pdf</datasheet>
      <libsource lib="Transistor_Array" part="ULN2003A" description="High Voltage, High Current Darlington Transistor Arrays, SOIC16/SOIC16W/DIP16/TSSOP16"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B702C81</tstamp>
    </comp>
    <comp ref="J13">
      <value>Y_AXIS</value>
      <footprint>Connectors_JST:JST_XH_S05B-XH-A_05x2.50mm_Angled</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Connector_Generic" part="Conn_01x05" description="Generic connector, single row, 01x05, script generated (kicad-library-utils/schlib/autogen/connector/)"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B702C88</tstamp>
    </comp>
    <comp ref="J14">
      <value>Z_AXIS</value>
      <footprint>Connectors_JST:JST_XH_S05B-XH-A_05x2.50mm_Angled</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Connector_Generic" part="Conn_01x05" description="Generic connector, single row, 01x05, script generated (kicad-library-utils/schlib/autogen/connector/)"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B703614</tstamp>
    </comp>
    <comp ref="F3">
      <value>0A35_0A7_Polyfuse</value>
      <footprint>Resistors_SMD:R_1206</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="Polyfuse_Small" description="Resettable fuse, polymeric positive temperature coefficient, small symbol"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B706E38</tstamp>
    </comp>
    <comp ref="F4">
      <value>0A35_0A7_Polyfuse</value>
      <footprint>Resistors_SMD:R_1206</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="Polyfuse_Small" description="Resettable fuse, polymeric positive temperature coefficient, small symbol"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B706F18</tstamp>
    </comp>
    <comp ref="J12">
      <value>X_AXIS</value>
      <footprint>Connectors_JST:JST_XH_S05B-XH-A_05x2.50mm_Angled</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Connector_Generic" part="Conn_01x05" description="Generic connector, single row, 01x05, script generated (kicad-library-utils/schlib/autogen/connector/)"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B714FAF</tstamp>
    </comp>
    <comp ref="F2">
      <value>0A35_0A7_Polyfuse</value>
      <footprint>Resistors_SMD:R_1206</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="Polyfuse_Small" description="Resettable fuse, polymeric positive temperature coefficient, small symbol"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B714FB6</tstamp>
    </comp>
    <comp ref="L1">
      <value>Ferrite_Bead</value>
      <footprint>Resistors_SMD:R_0805_HandSoldering</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="Ferrite_Bead" description="Ferrite bead"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B77C5E5</tstamp>
    </comp>
    <comp ref="F5">
      <value>0A5_1A_Polyfuse</value>
      <footprint>Resistors_SMD:R_1206</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="Polyfuse_Small" description="Resettable fuse, polymeric positive temperature coefficient, small symbol"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B788D01</tstamp>
    </comp>
    <comp ref="C9">
      <value>100n</value>
      <footprint>Capacitors_SMD:C_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="C" description="Unpolarized capacitor"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B78DBFA</tstamp>
    </comp>
    <comp ref="R3">
      <value>22</value>
      <footprint>Resistors_SMD:R_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="R_Small" description="Resistor, small symbol"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B7C3554</tstamp>
    </comp>
    <comp ref="R4">
      <value>22</value>
      <footprint>Resistors_SMD:R_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="R_Small" description="Resistor, small symbol"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B7C653B</tstamp>
    </comp>
    <comp ref="C6">
      <value>1uF</value>
      <footprint>Capacitors_SMD:C_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="C" description="Unpolarized capacitor"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B7D5C84</tstamp>
    </comp>
    <comp ref="RV2">
      <value>Varistor</value>
      <footprint>Resistors_SMD:R_0603</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="Varistor" description="Voltage dependent resistor"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B7D9373</tstamp>
    </comp>
    <comp ref="RV1">
      <value>Varistor</value>
      <footprint>Resistors_SMD:R_0603</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="Varistor" description="Voltage dependent resistor"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B7D9427</tstamp>
    </comp>
    <comp ref="R6">
      <value>10K</value>
      <footprint>Resistors_SMD:R_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="R" description="Resistor"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B819757</tstamp>
    </comp>
    <comp ref="J1">
      <value>USB_Supply</value>
      <footprint>Connectors:USB_Micro-B</footprint>
      <datasheet> ~</datasheet>
      <libsource lib="Connector" part="USB_OTG" description="USB mini/micro connector"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B84C680</tstamp>
    </comp>
    <comp ref="F1">
      <value>1A25_3A_Polyfuse</value>
      <footprint>Resistors_SMD:R_1210</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="Polyfuse_Small" description="Resettable fuse, polymeric positive temperature coefficient, small symbol"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B84C69F</tstamp>
    </comp>
    <comp ref="C5">
      <value>100n</value>
      <footprint>Capacitors_SMD:C_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="C" description="Unpolarized capacitor"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B84C6AF</tstamp>
    </comp>
    <comp ref="D3">
      <value>DW2W31900L</value>
      <footprint>Diodes_SMD:D_SOD-123F</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="D" description="Diode"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B87AC2F</tstamp>
    </comp>
    <comp ref="D4">
      <value>DW2W31900L</value>
      <footprint>Diodes_SMD:D_SOD-123F</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="D" description="Diode"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B91AF2F</tstamp>
    </comp>
    <comp ref="D1">
      <value>DW2W31900L</value>
      <footprint>Diodes_SMD:D_SOD-123F</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="D" description="Diode"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B94EB87</tstamp>
    </comp>
    <comp ref="C1">
      <value>0.1uF</value>
      <footprint>Capacitors_SMD:C_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="C" description="Unpolarized capacitor"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B96AB01</tstamp>
    </comp>
    <comp ref="J9">
      <value>ULN_AUX</value>
      <footprint>Pin_Headers:Pin_Header_Straight_2x04_Pitch2.54mm</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Connector_Generic" part="Conn_02x04_Odd_Even" description="Generic connector, double row, 02x04, odd/even pin numbering scheme (row 1 odd numbers, row 2 even numbers), script generated (kicad-library-utils/schlib/autogen/connector/)"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B99A5F6</tstamp>
    </comp>
    <comp ref="D8">
      <value>YELLOW</value>
      <footprint>LEDs:LED_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="LED_ALT" description="Light emitting diode, filled shape"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BA1304D</tstamp>
    </comp>
    <comp ref="R2">
      <value>10K</value>
      <footprint>Resistors_SMD:R_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="R" description="Resistor"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BA13054</tstamp>
    </comp>
    <comp ref="D7">
      <value>GREEN</value>
      <footprint>LEDs:LED_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="LED_ALT" description="Light emitting diode, filled shape"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BAA4C84</tstamp>
    </comp>
    <comp ref="R1">
      <value>10K</value>
      <footprint>Resistors_SMD:R_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="R" description="Resistor"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BAA4C8B</tstamp>
    </comp>
    <comp ref="J4">
      <value>I2C Header</value>
      <footprint>Pin_Headers:Pin_Header_Straight_2x02_Pitch2.54mm</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Connector_Generic" part="Conn_02x02_Odd_Even" description="Generic connector, double row, 02x02, odd/even pin numbering scheme (row 1 odd numbers, row 2 even numbers), script generated (kicad-library-utils/schlib/autogen/connector/)"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BAD8786</tstamp>
    </comp>
    <comp ref="J5">
      <value>Serial1 Header</value>
      <footprint>Pin_Headers:Pin_Header_Straight_2x02_Pitch2.54mm</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Connector_Generic" part="Conn_02x02_Odd_Even" description="Generic connector, double row, 02x02, odd/even pin numbering scheme (row 1 odd numbers, row 2 even numbers), script generated (kicad-library-utils/schlib/autogen/connector/)"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BAF2111</tstamp>
    </comp>
    <comp ref="D6">
      <value>RED_PWR</value>
      <footprint>LEDs:LED_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="LED_ALT" description="Light emitting diode, filled shape"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BBB932E</tstamp>
    </comp>
    <comp ref="D9">
      <value>BLUE_MTR</value>
      <footprint>LEDs:LED_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="LED_ALT" description="Light emitting diode, filled shape"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BD6E700</tstamp>
    </comp>
    <comp ref="C8">
      <value>10uF</value>
      <footprint>Capacitors_SMD:CP_Elec_4x5.8</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="CP1" description="Polarized capacitor, US symbol"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BDAC320</tstamp>
    </comp>
    <comp ref="C4">
      <value>10uF</value>
      <footprint>Capacitors_SMD:CP_Elec_4x5.7</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="CP1" description="Polarized capacitor, US symbol"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BDACDD8</tstamp>
    </comp>
    <comp ref="J2">
      <value>USB_POWER OUT</value>
      <footprint>Connectors:USB_A</footprint>
      <datasheet> ~</datasheet>
      <libsource lib="Connector" part="USB_A" description="USB Type A connector"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BF220B8</tstamp>
    </comp>
    <comp ref="D2">
      <value>DW2W31900L</value>
      <footprint>Diodes_SMD:D_SOD-123F</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="D" description="Diode"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BF7CE9A</tstamp>
    </comp>
    <comp ref="J8">
      <value>J_AUX</value>
      <footprint>Pin_Headers:Pin_Header_Straight_2x02_Pitch2.54mm</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Connector_Generic" part="Conn_02x02_Odd_Even" description="Generic connector, double row, 02x02, odd/even pin numbering scheme (row 1 odd numbers, row 2 even numbers), script generated (kicad-library-utils/schlib/autogen/connector/)"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5C684608</tstamp>
    </comp>
    <comp ref="C7">
      <value>1uF</value>
      <footprint>Capacitors_SMD:C_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="C" description="Unpolarized capacitor"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5C98D77B</tstamp>
    </comp>
    <comp ref="D5">
      <value>CD1206-SO1575</value>
      <footprint>Diodes_SMD:D_SOD-123F</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="D" description="Diode"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5CCDB530</tstamp>
    </comp>
    <comp ref="J7">
      <value>Power Pack</value>
      <footprint>Pin_Headers:Pin_Header_Straight_1x03_Pitch2.54mm</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Connector_Generic" part="Conn_01x03" description="Generic connector, single row, 01x03, script generated (kicad-library-utils/schlib/autogen/connector/)"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5CDA3715</tstamp>
    </comp>
    <comp ref="C11">
      <value>1uF</value>
      <footprint>Capacitors_SMD:C_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="C" description="Unpolarized capacitor"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B7764A0</tstamp>
    </comp>
    <comp ref="C10">
      <value>1uF</value>
      <footprint>Capacitors_SMD:C_0805</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="C" description="Unpolarized capacitor"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B77660E</tstamp>
    </comp>
    <comp ref="L2">
      <value>Ferrite_Bead</value>
      <footprint>Resistors_SMD:R_0805_HandSoldering</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="Ferrite_Bead" description="Ferrite bead"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B7F64EA</tstamp>
    </comp>
    <comp ref="D10">
      <value>CD_HD2004</value>
      <footprint>custom_Library:CD-HD2004</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="D_Bridge_+-AA" description="Diode bridge, +ve/-ve/AC/AC"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B838D0B</tstamp>
    </comp>
    <comp ref="MH1">
      <value>MountingHole</value>
      <footprint>custom_Library:3.1_hole</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Mechanical" part="MountingHole_Pad" description="Mounting Hole with connection"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BB23D95</tstamp>
    </comp>
    <comp ref="MH2">
      <value>MountingHole</value>
      <footprint>custom_Library:3.1_hole</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Mechanical" part="MountingHole_Pad" description="Mounting Hole with connection"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BB46E3D</tstamp>
    </comp>
    <comp ref="MH3">
      <value>MountingHole</value>
      <footprint>custom_Library:3.1_hole</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Mechanical" part="MountingHole_Pad" description="Mounting Hole with connection"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BB8BFF0</tstamp>
    </comp>
    <comp ref="MH4">
      <value>MountingHole</value>
      <footprint>custom_Library:3.1_hole</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Mechanical" part="MountingHole_Pad" description="Mounting Hole with connection"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BB8BFFE</tstamp>
    </comp>
    <comp ref="Y1">
      <value>16MHz</value>
      <footprint>Crystals:Crystal_SMD_3225-4pin_3.2x2.5mm</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="Crystal_GND24" description="Four pin crystal, GND on pins 2 and 4"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B7D9C85</tstamp>
    </comp>
    <comp ref="J6">
      <value>I/O</value>
      <footprint>Pin_Headers:Pin_Header_Straight_2x06_Pitch2.54mm</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Connector_Generic" part="Conn_02x06_Odd_Even" description="Generic connector, double row, 02x06, odd/even pin numbering scheme (row 1 odd numbers, row 2 even numbers), script generated (kicad-library-utils/schlib/autogen/connector/)"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B7DC7C9</tstamp>
    </comp>
    <comp ref="J3">
      <value>END_STOPS</value>
      <footprint>Pin_Headers:Pin_Header_Straight_2x03_Pitch2.54mm</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Connector_Generic" part="Conn_02x03_Odd_Even" description="Generic connector, double row, 02x03, odd/even pin numbering scheme (row 1 odd numbers, row 2 even numbers), script generated (kicad-library-utils/schlib/autogen/connector/)"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B7DCAC6</tstamp>
    </comp>
    <comp ref="RN1">
      <value>1K</value>
      <footprint>Resistors_SMD:R_Array_Concave_4x0603</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Device" part="R_Pack04" description="4 resistor network, parallel topology, DIP package"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5B7DE043</tstamp>
    </comp>
    <comp ref="TP1">
      <value>TestPoint</value>
      <footprint>Measurement_Points:Measurement_Point_Square-SMD-Pad_Small</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Connector" part="TestPoint" description="test point"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BD7321B</tstamp>
    </comp>
    <comp ref="TP2">
      <value>TestPoint</value>
      <footprint>Measurement_Points:Measurement_Point_Square-SMD-Pad_Small</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Connector" part="TestPoint" description="test point"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BD99E78</tstamp>
    </comp>
    <comp ref="TP3">
      <value>TestPoint</value>
      <footprint>Measurement_Points:Measurement_Point_Square-SMD-Pad_Small</footprint>
      <datasheet>~</datasheet>
      <libsource lib="Connector" part="TestPoint" description="test point"/>
      <sheetpath names="/" tstamps="/"/>
      <tstamp>5BD99F08</tstamp>
    </comp>
  </components>
  <libparts>
    <libpart lib="Connector" part="AVR-ISP-6">
      <description>Atmel 6-pin ISP connector</description>
      <docs> ~</docs>
      <footprints>
        <fp>IDC?Header*2x03*</fp>
        <fp>Pin?Header*2x03*</fp>
      </footprints>
      <fields>
        <field name="Reference">J</field>
        <field name="Value">AVR-ISP-6</field>
      </fields>
      <pins>
        <pin num="1" name="MISO" type="passive"/>
        <pin num="2" name="VCC" type="power_in"/>
        <pin num="3" name="SCK" type="passive"/>
        <pin num="4" name="MOSI" type="passive"/>
        <pin num="5" name="~RST" type="passive"/>
        <pin num="6" name="GND" type="power_in"/>
      </pins>
    </libpart>
    <libpart lib="Connector" part="TestPoint">
      <description>test point</description>
      <docs>~</docs>
      <footprints>
        <fp>Pin*</fp>
        <fp>Test*</fp>
      </footprints>
      <fields>
        <field name="Reference">TP</field>
        <field name="Value">TestPoint</field>
      </fields>
      <pins>
        <pin num="1" name="1" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Connector" part="USB_A">
      <description>USB Type A connector</description>
      <docs> ~</docs>
      <footprints>
        <fp>USB*</fp>
      </footprints>
      <fields>
        <field name="Reference">J</field>
        <field name="Value">USB_A</field>
      </fields>
      <pins>
        <pin num="1" name="VBUS" type="power_in"/>
        <pin num="2" name="D-" type="passive"/>
        <pin num="3" name="D+" type="passive"/>
        <pin num="4" name="GND" type="power_in"/>
        <pin num="5" name="Shield" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Connector" part="USB_OTG">
      <description>USB mini/micro connector</description>
      <docs> ~</docs>
      <footprints>
        <fp>USB*</fp>
      </footprints>
      <fields>
        <field name="Reference">J</field>
        <field name="Value">USB_OTG</field>
      </fields>
      <pins>
        <pin num="1" name="VBUS" type="power_in"/>
        <pin num="2" name="D-" type="passive"/>
        <pin num="3" name="D+" type="passive"/>
        <pin num="4" name="ID" type="passive"/>
        <pin num="5" name="GND" type="power_in"/>
        <pin num="6" name="Shield" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Connector_Generic" part="Conn_01x03">
      <description>Generic connector, single row, 01x03, script generated (kicad-library-utils/schlib/autogen/connector/)</description>
      <docs>~</docs>
      <footprints>
        <fp>Connector*:*_1x??_*</fp>
      </footprints>
      <fields>
        <field name="Reference">J</field>
        <field name="Value">Conn_01x03</field>
      </fields>
      <pins>
        <pin num="1" name="Pin_1" type="passive"/>
        <pin num="2" name="Pin_2" type="passive"/>
        <pin num="3" name="Pin_3" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Connector_Generic" part="Conn_01x05">
      <description>Generic connector, single row, 01x05, script generated (kicad-library-utils/schlib/autogen/connector/)</description>
      <docs>~</docs>
      <footprints>
        <fp>Connector*:*_1x??_*</fp>
      </footprints>
      <fields>
        <field name="Reference">J</field>
        <field name="Value">Conn_01x05</field>
      </fields>
      <pins>
        <pin num="1" name="Pin_1" type="passive"/>
        <pin num="2" name="Pin_2" type="passive"/>
        <pin num="3" name="Pin_3" type="passive"/>
        <pin num="4" name="Pin_4" type="passive"/>
        <pin num="5" name="Pin_5" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Connector_Generic" part="Conn_02x02_Odd_Even">
      <description>Generic connector, double row, 02x02, odd/even pin numbering scheme (row 1 odd numbers, row 2 even numbers), script generated (kicad-library-utils/schlib/autogen/connector/)</description>
      <docs>~</docs>
      <footprints>
        <fp>Connector*:*_2x??_*</fp>
      </footprints>
      <fields>
        <field name="Reference">J</field>
        <field name="Value">Conn_02x02_Odd_Even</field>
      </fields>
      <pins>
        <pin num="1" name="Pin_1" type="passive"/>
        <pin num="2" name="Pin_2" type="passive"/>
        <pin num="3" name="Pin_3" type="passive"/>
        <pin num="4" name="Pin_4" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Connector_Generic" part="Conn_02x03_Odd_Even">
      <description>Generic connector, double row, 02x03, odd/even pin numbering scheme (row 1 odd numbers, row 2 even numbers), script generated (kicad-library-utils/schlib/autogen/connector/)</description>
      <docs>~</docs>
      <footprints>
        <fp>Connector*:*_2x??_*</fp>
      </footprints>
      <fields>
        <field name="Reference">J</field>
        <field name="Value">Conn_02x03_Odd_Even</field>
      </fields>
      <pins>
        <pin num="1" name="Pin_1" type="passive"/>
        <pin num="2" name="Pin_2" type="passive"/>
        <pin num="3" name="Pin_3" type="passive"/>
        <pin num="4" name="Pin_4" type="passive"/>
        <pin num="5" name="Pin_5" type="passive"/>
        <pin num="6" name="Pin_6" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Connector_Generic" part="Conn_02x04_Odd_Even">
      <description>Generic connector, double row, 02x04, odd/even pin numbering scheme (row 1 odd numbers, row 2 even numbers), script generated (kicad-library-utils/schlib/autogen/connector/)</description>
      <docs>~</docs>
      <footprints>
        <fp>Connector*:*_2x??_*</fp>
      </footprints>
      <fields>
        <field name="Reference">J</field>
        <field name="Value">Conn_02x04_Odd_Even</field>
      </fields>
      <pins>
        <pin num="1" name="Pin_1" type="passive"/>
        <pin num="2" name="Pin_2" type="passive"/>
        <pin num="3" name="Pin_3" type="passive"/>
        <pin num="4" name="Pin_4" type="passive"/>
        <pin num="5" name="Pin_5" type="passive"/>
        <pin num="6" name="Pin_6" type="passive"/>
        <pin num="7" name="Pin_7" type="passive"/>
        <pin num="8" name="Pin_8" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Connector_Generic" part="Conn_02x06_Odd_Even">
      <description>Generic connector, double row, 02x06, odd/even pin numbering scheme (row 1 odd numbers, row 2 even numbers), script generated (kicad-library-utils/schlib/autogen/connector/)</description>
      <docs>~</docs>
      <footprints>
        <fp>Connector*:*_2x??_*</fp>
      </footprints>
      <fields>
        <field name="Reference">J</field>
        <field name="Value">Conn_02x06_Odd_Even</field>
      </fields>
      <pins>
        <pin num="1" name="Pin_1" type="passive"/>
        <pin num="2" name="Pin_2" type="passive"/>
        <pin num="3" name="Pin_3" type="passive"/>
        <pin num="4" name="Pin_4" type="passive"/>
        <pin num="5" name="Pin_5" type="passive"/>
        <pin num="6" name="Pin_6" type="passive"/>
        <pin num="7" name="Pin_7" type="passive"/>
        <pin num="8" name="Pin_8" type="passive"/>
        <pin num="9" name="Pin_9" type="passive"/>
        <pin num="10" name="Pin_10" type="passive"/>
        <pin num="11" name="Pin_11" type="passive"/>
        <pin num="12" name="Pin_12" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Device" part="C">
      <description>Unpolarized capacitor</description>
      <docs>~</docs>
      <footprints>
        <fp>C_*</fp>
      </footprints>
      <fields>
        <field name="Reference">C</field>
        <field name="Value">C</field>
      </fields>
      <pins>
        <pin num="1" name="~" type="passive"/>
        <pin num="2" name="~" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Device" part="CP1">
      <description>Polarized capacitor, US symbol</description>
      <docs>~</docs>
      <footprints>
        <fp>CP_*</fp>
      </footprints>
      <fields>
        <field name="Reference">C</field>
        <field name="Value">CP1</field>
      </fields>
      <pins>
        <pin num="1" name="~" type="passive"/>
        <pin num="2" name="~" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Device" part="Crystal_GND24">
      <description>Four pin crystal, GND on pins 2 and 4</description>
      <docs>~</docs>
      <footprints>
        <fp>Crystal*</fp>
      </footprints>
      <fields>
        <field name="Reference">Y</field>
        <field name="Value">Crystal_GND24</field>
      </fields>
      <pins>
        <pin num="1" name="1" type="passive"/>
        <pin num="2" name="2" type="passive"/>
        <pin num="3" name="3" type="passive"/>
        <pin num="4" name="4" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Device" part="D">
      <description>Diode</description>
      <docs>~</docs>
      <footprints>
        <fp>TO-???*</fp>
        <fp>*_Diode_*</fp>
        <fp>*SingleDiode*</fp>
        <fp>D_*</fp>
      </footprints>
      <fields>
        <field name="Reference">D</field>
        <field name="Value">D</field>
      </fields>
      <pins>
        <pin num="1" name="K" type="passive"/>
        <pin num="2" name="A" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Device" part="D_Bridge_+-AA">
      <description>Diode bridge, +ve/-ve/AC/AC</description>
      <docs>~</docs>
      <footprints>
        <fp>D*Bridge*</fp>
        <fp>D*Rectifier*</fp>
      </footprints>
      <fields>
        <field name="Reference">D</field>
        <field name="Value">D_Bridge_+-AA</field>
      </fields>
      <pins>
        <pin num="1" name="+" type="passive"/>
        <pin num="2" name="-" type="passive"/>
        <pin num="3" name="~~" type="passive"/>
        <pin num="4" name="~~" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Device" part="Ferrite_Bead">
      <description>Ferrite bead</description>
      <docs>~</docs>
      <footprints>
        <fp>Inductor_*</fp>
        <fp>L_*</fp>
        <fp>*Ferrite*</fp>
      </footprints>
      <fields>
        <field name="Reference">FB</field>
        <field name="Value">Ferrite_Bead</field>
      </fields>
      <pins>
        <pin num="1" name="~" type="passive"/>
        <pin num="2" name="~" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Device" part="LED_ALT">
      <description>Light emitting diode, filled shape</description>
      <docs>~</docs>
      <footprints>
        <fp>LED*</fp>
        <fp>LED_SMD:*</fp>
        <fp>LED_THT:*</fp>
      </footprints>
      <fields>
        <field name="Reference">D</field>
        <field name="Value">LED_ALT</field>
      </fields>
      <pins>
        <pin num="1" name="K" type="passive"/>
        <pin num="2" name="A" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Device" part="Polyfuse_Small">
      <description>Resettable fuse, polymeric positive temperature coefficient, small symbol</description>
      <docs>~</docs>
      <footprints>
        <fp>*polyfuse*</fp>
        <fp>*PTC*</fp>
      </footprints>
      <fields>
        <field name="Reference">F</field>
        <field name="Value">Polyfuse_Small</field>
      </fields>
      <pins>
        <pin num="1" name="~" type="passive"/>
        <pin num="2" name="~" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Device" part="R">
      <description>Resistor</description>
      <docs>~</docs>
      <footprints>
        <fp>R_*</fp>
      </footprints>
      <fields>
        <field name="Reference">R</field>
        <field name="Value">R</field>
      </fields>
      <pins>
        <pin num="1" name="~" type="passive"/>
        <pin num="2" name="~" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Device" part="R_Pack04">
      <description>4 resistor network, parallel topology, DIP package</description>
      <docs>~</docs>
      <footprints>
        <fp>DIP*</fp>
        <fp>SOIC*</fp>
      </footprints>
      <fields>
        <field name="Reference">RN</field>
        <field name="Value">R_Pack04</field>
      </fields>
      <pins>
        <pin num="1" name="R1.1" type="passive"/>
        <pin num="2" name="R2.1" type="passive"/>
        <pin num="3" name="R3.1" type="passive"/>
        <pin num="4" name="R4.1" type="passive"/>
        <pin num="5" name="R4.2" type="passive"/>
        <pin num="6" name="R3.2" type="passive"/>
        <pin num="7" name="R2.2" type="passive"/>
        <pin num="8" name="R1.2" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Device" part="R_Small">
      <description>Resistor, small symbol</description>
      <docs>~</docs>
      <footprints>
        <fp>R_*</fp>
      </footprints>
      <fields>
        <field name="Reference">R</field>
        <field name="Value">R_Small</field>
      </fields>
      <pins>
        <pin num="1" name="~" type="passive"/>
        <pin num="2" name="~" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Device" part="Varistor">
      <description>Voltage dependent resistor</description>
      <docs>~</docs>
      <footprints>
        <fp>RV_*</fp>
        <fp>Varistor*</fp>
      </footprints>
      <fields>
        <field name="Reference">RV</field>
        <field name="Value">Varistor</field>
      </fields>
      <pins>
        <pin num="1" name="~" type="passive"/>
        <pin num="2" name="~" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="MCU_Microchip_ATmega" part="ATmega16U4-MU">
      <aliases>
        <alias>ATmega16U4RC-MU</alias>
        <alias>ATmega32U4-MU</alias>
        <alias>ATmega32U4RC-MU</alias>
      </aliases>
      <description>16MHz, 16kB Flash, 1.25kB SRAM, 512B EEPROM, USB 2.0, QFN-44</description>
      <docs>http://ww1.microchip.com/downloads/en/DeviceDoc/Atmel-7766-8-bit-AVR-ATmega16U4-32U4_Datasheet.pdf</docs>
      <footprints>
        <fp>QFN*1EP*7x7mm*P0.5mm*</fp>
      </footprints>
      <fields>
        <field name="Reference">U</field>
        <field name="Value">ATmega16U4-MU</field>
        <field name="Footprint">Package_DFN_QFN:QFN-44-1EP_7x7mm_P0.5mm_EP5.2x5.2mm</field>
      </fields>
      <pins>
        <pin num="1" name="PE6" type="3state"/>
        <pin num="2" name="UVCC" type="power_in"/>
        <pin num="3" name="D-" type="BiDi"/>
        <pin num="4" name="D+" type="BiDi"/>
        <pin num="5" name="UGND" type="passive"/>
        <pin num="6" name="UCAP" type="passive"/>
        <pin num="7" name="VBUS" type="input"/>
        <pin num="8" name="PB0" type="3state"/>
        <pin num="9" name="PB1" type="3state"/>
        <pin num="10" name="PB2" type="3state"/>
        <pin num="11" name="PB3" type="3state"/>
        <pin num="12" name="PB7" type="3state"/>
        <pin num="13" name="~RESET" type="input"/>
        <pin num="14" name="VCC" type="power_in"/>
        <pin num="15" name="GND" type="power_in"/>
        <pin num="16" name="XTAL2" type="output"/>
        <pin num="17" name="XTAL1" type="input"/>
        <pin num="18" name="PD0" type="3state"/>
        <pin num="19" name="PD1" type="3state"/>
        <pin num="20" name="PD2" type="3state"/>
        <pin num="21" name="PD3" type="3state"/>
        <pin num="22" name="PD5" type="3state"/>
        <pin num="23" name="GND" type="passive"/>
        <pin num="24" name="AVCC" type="power_in"/>
        <pin num="25" name="PD4" type="3state"/>
        <pin num="26" name="PD6" type="3state"/>
        <pin num="27" name="PD7" type="3state"/>
        <pin num="28" name="PB4" type="3state"/>
        <pin num="29" name="PB5" type="3state"/>
        <pin num="30" name="PB6" type="3state"/>
        <pin num="31" name="PC6" type="3state"/>
        <pin num="32" name="PC7" type="3state"/>
        <pin num="33" name="~HWB~/PE2" type="3state"/>
        <pin num="34" name="VCC" type="passive"/>
        <pin num="35" name="GND" type="passive"/>
        <pin num="36" name="PF7" type="3state"/>
        <pin num="37" name="PF6" type="3state"/>
        <pin num="38" name="PF5" type="3state"/>
        <pin num="39" name="PF4" type="3state"/>
        <pin num="40" name="PF1" type="3state"/>
        <pin num="41" name="PF0" type="3state"/>
        <pin num="42" name="AREF" type="passive"/>
        <pin num="43" name="GND" type="passive"/>
        <pin num="44" name="AVCC" type="passive"/>
        <pin num="45" name="GND" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Mechanical" part="MountingHole_Pad">
      <description>Mounting Hole with connection</description>
      <docs>~</docs>
      <footprints>
        <fp>MountingHole*Pad*</fp>
      </footprints>
      <fields>
        <field name="Reference">H</field>
        <field name="Value">MountingHole_Pad</field>
      </fields>
      <pins>
        <pin num="1" name="1" type="input"/>
      </pins>
    </libpart>
    <libpart lib="Switch" part="SW_Push">
      <description>Push button switch, generic, two pins</description>
      <fields>
        <field name="Reference">SW</field>
        <field name="Value">SW_Push</field>
      </fields>
      <pins>
        <pin num="1" name="1" type="passive"/>
        <pin num="2" name="2" type="passive"/>
      </pins>
    </libpart>
    <libpart lib="Transistor_Array" part="ULN2003">
      <aliases>
        <alias>ULN2003A</alias>
        <alias>ULN2002</alias>
        <alias>ULN2002A</alias>
        <alias>ULN2004</alias>
        <alias>ULN2004A</alias>
      </aliases>
      <description>High Voltage, High Current Darlington Transistor Arrays, SOIC16/SOIC16W/DIP16/TSSOP16</description>
      <docs>http://www.ti.com/lit/ds/symlink/uln2003a.pdf</docs>
      <footprints>
        <fp>DIP*W7.62mm*</fp>
        <fp>SOIC*3.9x9.9mm*P1.27mm*</fp>
        <fp>SSOP*4.4x5.2mm*P0.65mm*</fp>
        <fp>TSSOP*4.4x5mm*P0.65mm*</fp>
        <fp>SOIC*W*5.3x10.2mm*P1.27mm*</fp>
      </footprints>
      <fields>
        <field name="Reference">U</field>
        <field name="Value">ULN2003</field>
      </fields>
      <pins>
        <pin num="1" name="I1" type="input"/>
        <pin num="2" name="I2" type="input"/>
        <pin num="3" name="I3" type="input"/>
        <pin num="4" name="I4" type="input"/>
        <pin num="5" name="I5" type="input"/>
        <pin num="6" name="I6" type="input"/>
        <pin num="7" name="I7" type="input"/>
        <pin num="8" name="GND" type="power_in"/>
        <pin num="9" name="COM" type="passive"/>
        <pin num="10" name="O7" type="openCol"/>
        <pin num="11" name="O6" type="openCol"/>
        <pin num="12" name="O5" type="openCol"/>
        <pin num="13" name="O4" type="openCol"/>
        <pin num="14" name="O3" type="openCol"/>
        <pin num="15" name="O2" type="openCol"/>
        <pin num="16" name="O1" type="openCol"/>
      </pins>
    </libpart>
  </libparts>
  <libraries>
    <library logical="Connector">
      <uri>/usr/share/kicad/library/Connector.lib</uri>
    </library>
    <library logical="Connector_Generic">
      <uri>/usr/share/kicad/library/Connector_Generic.lib</uri>
    </library>
    <library logical="Device">
      <uri>/usr/share/kicad/library/Device.lib</uri>
    </library>
    <library logical="MCU_Microchip_ATmega">
      <uri>/usr/share/kicad/library/MCU_Microchip_ATmega.lib</uri>
    </library>
    <library logical="Mechanical">
      <uri>/usr/share/kicad/library/Mechanical.lib</uri>
    </library>
    <library logical="Switch">
      <uri>/usr/share/kicad/library/Switch.lib</uri>
    </library>
    <library logical="Transistor_Array">
      <uri>/usr/share/kicad/library/Transistor_Array.lib</uri>
    </library>
  </libraries>
  <nets>
    <net code="1" name="PWR_OUT">
      <node ref="D2" pin="1"/>
      <node ref="J2" pin="1"/>
      <node ref="TP3" pin="1"/>
    </net>
    <net code="2" name="RX_LED">
      <node ref="D8" pin="2"/>
      <node ref="U1" pin="8"/>
    </net>
    <net code="3" name="Net-(J2-Pad3)">
      <node ref="J2" pin="3"/>
    </net>
    <net code="4" name="A2">
      <node ref="J3" pin="1"/>
      <node ref="U1" pin="38"/>
    </net>
    <net code="5" name="A1">
      <node ref="J3" pin="3"/>
      <node ref="U1" pin="37"/>
    </net>
    <net code="6" name="A0">
      <node ref="U1" pin="36"/>
      <node ref="J3" pin="5"/>
    </net>
    <net code="7" name="Net-(J2-Pad2)">
      <node ref="J2" pin="2"/>
    </net>
    <net code="8" name="SCK">
      <node ref="U1" pin="9"/>
      <node ref="J10" pin="3"/>
    </net>
    <net code="9" name="GND">
      <node ref="C2" pin="2"/>
      <node ref="J3" pin="4"/>
      <node ref="~RST1" pin="1"/>
      <node ref="J3" pin="2"/>
      <node ref="RN1" pin="8"/>
      <node ref="U2" pin="8"/>
      <node ref="U1" pin="23"/>
      <node ref="C3" pin="2"/>
      <node ref="RN1" pin="7"/>
      <node ref="RN1" pin="6"/>
      <node ref="RN1" pin="5"/>
      <node ref="J3" pin="6"/>
      <node ref="J6" pin="8"/>
      <node ref="C9" pin="1"/>
      <node ref="J10" pin="6"/>
      <node ref="MH1" pin="1"/>
      <node ref="J6" pin="6"/>
      <node ref="J6" pin="4"/>
      <node ref="J6" pin="2"/>
      <node ref="J6" pin="10"/>
      <node ref="Y1" pin="2"/>
      <node ref="Y1" pin="4"/>
      <node ref="L1" pin="2"/>
      <node ref="MH4" pin="1"/>
      <node ref="MH3" pin="1"/>
      <node ref="U1" pin="15"/>
      <node ref="MH2" pin="1"/>
      <node ref="C5" pin="1"/>
      <node ref="C10" pin="2"/>
      <node ref="C11" pin="2"/>
      <node ref="D10" pin="2"/>
      <node ref="L2" pin="1"/>
      <node ref="U3" pin="8"/>
      <node ref="U1" pin="35"/>
      <node ref="U1" pin="43"/>
      <node ref="U1" pin="45"/>
      <node ref="U1" pin="5"/>
      <node ref="C1" pin="1"/>
      <node ref="C7" pin="1"/>
      <node ref="RV1" pin="2"/>
      <node ref="J5" pin="4"/>
      <node ref="RV2" pin="2"/>
      <node ref="J4" pin="4"/>
      <node ref="C8" pin="2"/>
      <node ref="C4" pin="2"/>
      <node ref="J2" pin="5"/>
      <node ref="J2" pin="4"/>
      <node ref="R6" pin="2"/>
      <node ref="C6" pin="1"/>
    </net>
    <net code="10" name="D12_A11">
      <node ref="U3" pin="1"/>
      <node ref="U1" pin="26"/>
    </net>
    <net code="11" name="D6_A7">
      <node ref="U3" pin="2"/>
      <node ref="U1" pin="27"/>
    </net>
    <net code="12" name="D11">
      <node ref="U2" pin="4"/>
      <node ref="U1" pin="12"/>
    </net>
    <net code="13" name="D10_A10">
      <node ref="U2" pin="3"/>
      <node ref="U1" pin="30"/>
    </net>
    <net code="14" name="D9_A9">
      <node ref="U1" pin="29"/>
      <node ref="U2" pin="2"/>
    </net>
    <net code="15" name="D8_A8">
      <node ref="U2" pin="1"/>
      <node ref="U1" pin="28"/>
    </net>
    <net code="16" name="A4">
      <node ref="U3" pin="5"/>
      <node ref="U1" pin="40"/>
    </net>
    <net code="17" name="D7">
      <node ref="U3" pin="3"/>
      <node ref="U1" pin="1"/>
    </net>
    <net code="18" name="A5">
      <node ref="U3" pin="4"/>
      <node ref="U1" pin="41"/>
    </net>
    <net code="19" name="Net-(J8-Pad2)">
      <node ref="J8" pin="2"/>
      <node ref="U3" pin="7"/>
    </net>
    <net code="20" name="D5">
      <node ref="U1" pin="31"/>
      <node ref="U2" pin="5"/>
    </net>
    <net code="21" name="MOSI">
      <node ref="J10" pin="4"/>
      <node ref="U1" pin="10"/>
    </net>
    <net code="22" name="MISO">
      <node ref="J10" pin="1"/>
      <node ref="U1" pin="11"/>
    </net>
    <net code="23" name="D13">
      <node ref="U1" pin="32"/>
      <node ref="U2" pin="6"/>
    </net>
    <net code="24" name="D4_A6">
      <node ref="U1" pin="25"/>
      <node ref="U2" pin="7"/>
    </net>
    <net code="25" name="D1">
      <node ref="J5" pin="1"/>
      <node ref="U1" pin="21"/>
      <node ref="J6" pin="3"/>
    </net>
    <net code="26" name="VCC">
      <node ref="R1" pin="1"/>
      <node ref="R2" pin="1"/>
      <node ref="U1" pin="34"/>
      <node ref="J10" pin="2"/>
      <node ref="U1" pin="24"/>
      <node ref="U1" pin="44"/>
      <node ref="TP2" pin="1"/>
      <node ref="J4" pin="2"/>
      <node ref="D3" pin="1"/>
      <node ref="D1" pin="1"/>
      <node ref="J6" pin="12"/>
      <node ref="C7" pin="2"/>
      <node ref="U1" pin="2"/>
      <node ref="J8" pin="3"/>
      <node ref="U1" pin="14"/>
      <node ref="D5" pin="1"/>
      <node ref="D6" pin="2"/>
      <node ref="J5" pin="2"/>
      <node ref="R5" pin="1"/>
    </net>
    <net code="27" name="D2">
      <node ref="J6" pin="5"/>
      <node ref="J4" pin="1"/>
      <node ref="R1" pin="2"/>
      <node ref="U1" pin="19"/>
    </net>
    <net code="28" name="D3">
      <node ref="U1" pin="18"/>
      <node ref="R2" pin="2"/>
      <node ref="J4" pin="3"/>
      <node ref="J6" pin="7"/>
    </net>
    <net code="29" name="D0">
      <node ref="J5" pin="3"/>
      <node ref="U1" pin="20"/>
      <node ref="J6" pin="1"/>
    </net>
    <net code="30" name="Net-(J9-Pad7)">
      <node ref="J9" pin="8"/>
      <node ref="J9" pin="7"/>
    </net>
    <net code="31" name="Net-(D8-Pad1)">
      <node ref="RN1" pin="2"/>
      <node ref="D8" pin="1"/>
    </net>
    <net code="32" name="Net-(D7-Pad1)">
      <node ref="RN1" pin="3"/>
      <node ref="D7" pin="1"/>
    </net>
    <net code="33" name="TX_LED">
      <node ref="U1" pin="22"/>
      <node ref="D7" pin="2"/>
    </net>
    <net code="34" name="MOT_PWR">
      <node ref="D4" pin="1"/>
      <node ref="J9" pin="4"/>
      <node ref="J9" pin="6"/>
      <node ref="U2" pin="9"/>
      <node ref="F2" pin="2"/>
      <node ref="D9" pin="2"/>
      <node ref="TP1" pin="1"/>
      <node ref="U3" pin="9"/>
      <node ref="C10" pin="1"/>
      <node ref="C11" pin="1"/>
      <node ref="F3" pin="2"/>
      <node ref="F4" pin="2"/>
    </net>
    <net code="35" name="Net-(D6-Pad1)">
      <node ref="RN1" pin="4"/>
      <node ref="D6" pin="1"/>
    </net>
    <net code="36" name="Net-(D9-Pad1)">
      <node ref="RN1" pin="1"/>
      <node ref="D9" pin="1"/>
    </net>
    <net code="37" name="Net-(F5-Pad2)">
      <node ref="F5" pin="2"/>
      <node ref="J11" pin="1"/>
    </net>
    <net code="38" name="Net-(J8-Pad4)">
      <node ref="J8" pin="4"/>
      <node ref="U3" pin="6"/>
    </net>
    <net code="39" name="A3">
      <node ref="J6" pin="9"/>
      <node ref="U1" pin="39"/>
      <node ref="J8" pin="1"/>
      <node ref="J7" pin="3"/>
    </net>
    <net code="40" name="Net-(D10-Pad3)">
      <node ref="J7" pin="2"/>
      <node ref="D10" pin="3"/>
    </net>
    <net code="41" name="Net-(D10-Pad4)">
      <node ref="J7" pin="1"/>
      <node ref="D10" pin="4"/>
    </net>
    <net code="42" name="Y_COIL2">
      <node ref="J13" pin="2"/>
      <node ref="U2" pin="11"/>
    </net>
    <net code="43" name="Y_COIL3">
      <node ref="J13" pin="3"/>
      <node ref="U2" pin="10"/>
    </net>
    <net code="44" name="Net-(F3-Pad1)">
      <node ref="J13" pin="5"/>
      <node ref="F3" pin="1"/>
    </net>
    <net code="45" name="Net-(F4-Pad1)">
      <node ref="J14" pin="5"/>
      <node ref="F4" pin="1"/>
    </net>
    <net code="46" name="Y_COIL4">
      <node ref="U3" pin="16"/>
      <node ref="J13" pin="4"/>
    </net>
    <net code="47" name="Z_COIL1">
      <node ref="J14" pin="1"/>
      <node ref="U3" pin="15"/>
    </net>
    <net code="48" name="Z_COIL2">
      <node ref="J14" pin="2"/>
      <node ref="U3" pin="14"/>
    </net>
    <net code="49" name="Z_COIL3">
      <node ref="J14" pin="3"/>
      <node ref="U3" pin="13"/>
    </net>
    <net code="50" name="Z_COIL4">
      <node ref="U3" pin="12"/>
      <node ref="J14" pin="4"/>
    </net>
    <net code="51" name="Net-(F2-Pad1)">
      <node ref="F2" pin="1"/>
      <node ref="J12" pin="5"/>
    </net>
    <net code="52" name="Net-(C3-Pad1)">
      <node ref="U1" pin="16"/>
      <node ref="C3" pin="1"/>
      <node ref="Y1" pin="3"/>
    </net>
    <net code="53" name="Net-(C2-Pad1)">
      <node ref="Y1" pin="1"/>
      <node ref="C2" pin="1"/>
      <node ref="U1" pin="17"/>
    </net>
    <net code="54" name="X_COIL3">
      <node ref="U2" pin="14"/>
      <node ref="J12" pin="3"/>
    </net>
    <net code="55" name="D-">
      <node ref="J11" pin="2"/>
      <node ref="R4" pin="2"/>
      <node ref="RV2" pin="1"/>
    </net>
    <net code="56" name="Net-(J11-Pad4)">
      <node ref="J11" pin="4"/>
    </net>
    <net code="57" name="Net-(J11-Pad5)">
      <node ref="L1" pin="1"/>
      <node ref="J11" pin="5"/>
      <node ref="J11" pin="6"/>
    </net>
    <net code="58" name="Y_COIL1">
      <node ref="U2" pin="12"/>
      <node ref="J13" pin="1"/>
    </net>
    <net code="59" name="X_COIL4">
      <node ref="J12" pin="4"/>
      <node ref="U2" pin="13"/>
    </net>
    <net code="60" name="X_COIL2">
      <node ref="J12" pin="2"/>
      <node ref="U2" pin="15"/>
    </net>
    <net code="61" name="X_COIL1">
      <node ref="J12" pin="1"/>
      <node ref="U2" pin="16"/>
    </net>
    <net code="62" name="D+">
      <node ref="RV1" pin="1"/>
      <node ref="J11" pin="3"/>
      <node ref="R3" pin="2"/>
    </net>
    <net code="63" name="Net-(C6-Pad2)">
      <node ref="C6" pin="2"/>
      <node ref="U1" pin="6"/>
    </net>
    <net code="64" name="Net-(J1-Pad3)">
      <node ref="J1" pin="3"/>
    </net>
    <net code="65" name="Net-(J1-Pad2)">
      <node ref="J1" pin="2"/>
    </net>
    <net code="66" name="~RST">
      <node ref="J10" pin="5"/>
      <node ref="D5" pin="2"/>
      <node ref="~RST1" pin="2"/>
      <node ref="U1" pin="13"/>
      <node ref="R5" pin="2"/>
    </net>
    <net code="67" name="Net-(J1-Pad4)">
      <node ref="J1" pin="4"/>
    </net>
    <net code="68" name="Net-(J1-Pad5)">
      <node ref="L2" pin="2"/>
      <node ref="J1" pin="5"/>
      <node ref="J1" pin="6"/>
    </net>
    <net code="69" name="Net-(C4-Pad1)">
      <node ref="D3" pin="2"/>
      <node ref="D2" pin="2"/>
      <node ref="C5" pin="2"/>
      <node ref="D4" pin="2"/>
      <node ref="C4" pin="1"/>
      <node ref="F1" pin="1"/>
    </net>
    <net code="70" name="Net-(D10-Pad1)">
      <node ref="F1" pin="2"/>
      <node ref="J1" pin="1"/>
      <node ref="D10" pin="1"/>
    </net>
    <net code="71" name="Net-(J9-Pad1)">
      <node ref="J9" pin="2"/>
      <node ref="J9" pin="1"/>
    </net>
    <net code="72" name="AUX_2">
      <node ref="J9" pin="3"/>
      <node ref="U3" pin="10"/>
    </net>
    <net code="73" name="AUX_1">
      <node ref="U3" pin="11"/>
      <node ref="J9" pin="5"/>
    </net>
    <net code="74" name="AREF">
      <node ref="J6" pin="11"/>
      <node ref="U1" pin="42"/>
      <node ref="C1" pin="2"/>
    </net>
    <net code="75" name="VBUS">
      <node ref="F5" pin="1"/>
      <node ref="C9" pin="2"/>
      <node ref="D1" pin="2"/>
      <node ref="C8" pin="1"/>
      <node ref="U1" pin="7"/>
    </net>
    <net code="76" name="Net-(R6-Pad1)">
      <node ref="R6" pin="1"/>
      <node ref="U1" pin="33"/>
    </net>
    <net code="77" name="Net-(R3-Pad1)">
      <node ref="U1" pin="4"/>
      <node ref="R3" pin="1"/>
    </net>
    <net code="78" name="Net-(R4-Pad1)">
      <node ref="R4" pin="1"/>
      <node ref="U1" pin="3"/>
    </net>
  </nets>
</export>
